# SourcePath: pciutils/20170210dev
Summary   	: Linux PCI utilities.
Name	  	: sony-target-dev-pciutils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-pciutils
Version	  	: 3.3.1
Release		: 12000001
URL		: ftp://ftp.kernel.org/pub/software/utils/pciutils
Source	  	: pciutils-%{version}.tar.gz
Patch1		: pciutils-3.3.1-configure.patch
Patch2		: pciutils-3.3.1-guess-fix.patch
Distribution    : %{sony_distribution}
Vendor          : %{sony_vendor}
Packager        : %{sony_packager}
License 	: GPL2
Group           : %{sony_group}
Buildroot 	: %{_tmppath}/%{name}-root
Prefix	  	: %{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

#
#	SRPM
#

%description

This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci
interface).

%package -n %{pkgname}
Summary   	: Linux PCI utilities.
Group           : %{sony_group}
AutoReqProv     : no

%description -n %{pkgname}

This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci
interface).

#
#	RPM
#

%prep

%setup -n pciutils-%{version}
%patch1 -p1
%patch2 -p1

%build
%sony_target_dev_setup

cd lib && \
ZLIB=yes DNS=yes SHARED=yes ./configure "3.0" /usr/share linux-gnueabi arm
cd -
make -e MAKEFLAGS= ZLIB=yes DNS=yes SHARED=yes LDFLAGS="-lkmod"

%install
%sony_target_dev_setup
rm -rf %{buildroot}

ln -s . objdir

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/misc
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin

%sony_target_dev_makeinstall \
	PREFIX=%{sony_target_dev_prefix} \
	INCDIR=%{sony_target_devtool_include_dir} \
	MANDIR=%{sony_target_dev_man_dir} install-lib

mv %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/{lspci,setpci} %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

cd %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
chmod -v 755 libpci.so.3.3.1
ln -s libpci.so.3.3.1 libpci.so
ln -s libpci.so.3.3.1 libpci.so.3

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/update-pciids

# gzip -v9 %{buildroot}%{sony_cross_target_dir}%{sony_target_man_dir}/man8/*
# cp debian/copyright LICENSE



%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/sbin/lspci
%{sony_target_dir}%{sony_target_dev_dir}/sbin/setpci
%{sony_target_dir}%{sony_target_dev_data_dir}/pci.ids.gz
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/misc
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpci.so.3.3.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpci.so.3
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpci.so
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libpci.pc
%{sony_target_dir}%{sony_target_devtool_include_dir}/pci/config.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/pci/header.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/pci/pci.h
%{sony_target_dir}%{sony_target_devtool_include_dir}/pci/types.h
# %doc LICENSE

%changelog
* Fri Feb 10 2017 Sony Corporation
- updated 3.1.10 -> 3.3.1

* Mon Jul 15 2013 Sony Corporation
- Added install-lib to install libpci* and headers

* Mon Apr 01 2013 Sony Corporation
- Updated to 3.1.10

* Fri Apr 17 2009 Sony Corporation
- Updated to 6.x 

* Thu Oct 04 2007 Sony Corporation
- version-up 2.2.4 -> 2.2.6

* Fri Mar 02 2007 Sony Corporation
- Version update to 2.2.4

* Wed Jun 08 2005 Sony Corporation
- First Build
